Bug 442169 - clamav-milter ignores log file size limit in config file
clamav-milter ignores log file size limit in config file
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: clamav (Show other bugs)
el5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-12 07:10 EDT by John Guthrie
Modified: 2011-04-07 18:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-07 18:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2008-04-12 07:10:12 EDT
Description of problem:
I have clamav-milter set up with a log file size limit of 30M.  Yet when the
file reaches a size of 20480000 (20000k), clamav-milter refuses to start.  I was
able to work around the issue by removing the clamav log file altogether.  At
that point clamav-milter started working again just fine, and is currently
writing to the log file correctly.

Version-Release number of selected component (if applicable):
0.92.1-1.el4

How reproducible:
Uncertain.

Steps to Reproduce:
1.Set LogFileMaxSize to 30M in the config file.
1a.Optionally, turn on debugging to make the log file grow faster.
2.Watch the log file grow in size to 20480000 bytes.
3.Watch clamav-milter die.
4.Try to restart clamav-milter.
5.Watch clamav-milter not start.
  
Actual results:
clamav-milter tries to start according to log entries from /var/log/maillog, but
it doesn't even create a socket.

Expected results:
A running clamav-milter complete with socket.

Additional info:
Comment 1 Nick Bebout 2011-03-04 21:03:23 EST
Please try the new package that is in epel-testing.  It's based off of a new spec and is upgraded to 0.97.
Comment 2 Nick Bebout 2011-03-04 21:07:46 EST
Correction, it's not in epel-testing yet, it's at http://kojipkgs.fedoraproject.org/packages/clamav/0.97/3.el5/

FYI this is not compatible with amavisd-new yet.

You will also need to use the freshclam.conf.rpmnew and clamd.conf.rpmnew or else change the paths in your existing configs.
Comment 3 Nick Bebout 2011-04-07 18:02:43 EDT
They should be pushed to stable, or will be soon.  Please reopen if bug still exists.

Note You need to log in before you can comment on or make changes to this bug.